List Role Permissions
const url = 'https://example.com/iam/v1/roles/example/permissions';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/iam/v1/roles/example/permissionsReturns a paginated list of permissions assigned to a role
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”The role to list permissions for
Query Parameters
Section titled “Query Parameters ”The maximum number of role permissions to return. The service may return fewer than this value. If unspecified, at most 20 role permissions will be returned. The maximum value is 100; values above 100 will be coerced to 100.
A page token, received from a previous ListRolePermissions call.
Provide this to retrieve the subsequent page. When paginating,
all other parameters provided to ListRolePermissions must match the call
that provided the page token.
AIP-160 filter expression
AIP-132 order_by expression, e.g. ‘permission asc’
Responses
Section titled “ Responses ”OK
ListRolePermissionsResponse
Response message for ListRolePermissions. Returns full Permission resources (name, service, resource, action, description) so clients can render permission metadata without a follow-up GetPermission per row.
Note: This API intentionally omits total_size from list responses.
Keyset pagination does not support efficient total count computation
(COUNT(*) requires a full table scan). Per AIP-158, total_size is optional.
object
The list of permissions assigned to the role
Permission resource — a granular action that can be assigned to roles
object
The natural key of the permission (
The service this permission belongs to (e.g. “compute”)
The resource this permission applies to (e.g. “vm”)
The action this permission grants (e.g. “create”)
Human-readable explanation of the permission
A token, which can be sent as page_token to retrieve the next page.
If this field is empty, there are no subsequent pages.
Example generated
{ "permissions": [ { "name": "example" } ], "next_page_token": "example"}default
Section titled “default ”Default error response
The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.
object
The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
A list of messages that carry the error details. There is a common set of message types for APIs to use.
Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.
object
The type of the serialized message.
Example generated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}